import org.junit.jupiter.api.Test;


class LanguageTest {

    private Language deutsch = new Language("de");
    private Language english = new Language("en");
    private Language viet = new Language("vn");
    private Language def = new Language("dasd");

    @Test
    void setOutputLanguage() {
        english.setOutputLanguage("de");
        deutsch.setOutputLanguage("en");
        english.setOutputLanguage("vn");
    }

    @Test
    void outputWinnerText() {
        deutsch.outputWinnerText(1);
        english.outputWinnerText(2);
        viet.outputWinnerText(3);
    }

    @Test
    void outputGameOverText(){
        deutsch.outputGameOverText();
        english.outputGameOverText();
        viet.outputGameOverText();
    }

    @Test
    void outputTieText(){
        deutsch.outputTieText();
        english.outputTieText();
        viet.outputTieText();
    }

    @Test
    void outputNextPlayerText() {
        deutsch.outputNextPlayerText(1);
        english.outputNextPlayerText(2);
        viet.outputNextPlayerText(3);
    }

    @Test
    void outputWrongFieldSelected() {
        deutsch.outputWrongFieldSelected();
        english.outputWrongFieldSelected();
        viet.outputWrongFieldSelected();
    }

    @Test
    void outputGameStartedText() {
        deutsch.outputGameStartedText();
        english.outputGameStartedText();
        viet.outputGameStartedText();
    }

    @Test
    void outputMoveText() {
        deutsch.outputMoveText(1,1);
        english.outputMoveText(3,1);
        viet.outputMoveText(2,2);
    }
}